Subject: Re: Quoting problems
From: Sebastian Gniazdowski <[email-masked]>
To: Peter Stephenson <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Tue, 16 Feb 2016 11:11:04 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 16 February 2016 at 10:33, Peter Stephenson <[email-masked]> wrote:
> Looking at your code, I think you'll find this is because you're using
> echo without the option not to expand bacslashes.  Try "echo -E" or
> "print -r".  (I'd recommend "print" if this is zsh-specific as echo
> is mostly there for backward compatibility, although there's no reason
> it shouldn't work here.)

Thanks this helps. As for the echo, I go towards habit of using it
only for debug messages, still forget this sometimes

Best regards,
Sebastian Gniazdowski